Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 560416 - <app-arch/unzip-6.0_p20: Heap overflow and DoS
Summary: <app-arch/unzip-6.0_p20: Heap overflow and DoS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: A2 [glsa]
Keywords:
Depends on: 528082
Blocks:
  Show dependency tree
 
Reported: 2015-09-14 09:16 UTC by Agostino Sarubbo
Modified: 2017-01-15 08:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2015-09-14 09:16:19 UTC
From ${URL} :

Two vulnerabilites were found in unzip 6.0, namely heap overflow and denial of service.

Public post together with error report and reproducers are avalaible at:

http://seclists.org/oss-sec/2015/q3/512


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 SpanKY gentoo-dev 2016-04-03 00:06:31 UTC
fixed w/Debian patchset.  should be fine for stable.

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f65df71cdc392f85fd95ad5b8ef1508434e2a239
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2016-11-01 13:22:27 UTC
This issue was resolved and addressed in
 GLSA 201611-01 at https://security.gentoo.org/glsa/201611-01
by GLSA coordinator Aaron Bauman (b-man).
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-11-01 13:23:43 UTC
@maintainer(s), reopening for cleanup.
Comment 4 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-11-27 10:46:38 UTC
Can we please clean the vulnerable versions?
Comment 5 Thomas Deutschmann gentoo-dev Security 2017-01-14 15:28:54 UTC
Cleanup PR: https://github.com/gentoo/gentoo/pull/3466